Main Page Widgets Namespaces Book

# Glib::Property< T > Class Template Reference

Inheritance diagram for Glib::Property< T >:

[legend]
List of all members.

## Public Types
typedef T | PropertyType
typedef Glib::Value<T> | ValueType
## Public Methods
| Property (Glib::Object& object, const Glib::ustring& name)
| Property (Glib::Object& object, const Glib::ustring& name, const PropertyType& default_value)
void | set_value (const PropertyType& data)
PropertyType | get_value () const
Property<T>& | operator= (const PropertyType& data)
| operator PropertyType () const
Glib::PropertyProxy<T> | get_proxy ()

### template <class T>
class Glib::Property< T >

## Member Typedef Documentation

template <class T>
typedef T Glib::Property<T>::PropertyType

template <class T>
typedef Glib::Value<T> Glib::Property<T>::ValueType

## Constructor & Destructor Documentation

template <class T>
Glib::Property<T>::Property | ( | Glib::Object& | object,
|  | const Glib::ustring& | name
| ) |

template <class T>
Glib::Property<T>::Property | ( | Glib::Object& | object,
|  | const Glib::ustring& | name,
|  | const PropertyType& | default_value
| ) |

## Member Function Documentation

template <class T>
Glib::PropertyProxy<T> Glib::Property<T>::get_proxy | ( |  | ) | `[inline]`

template <class T>
PropertyType Glib::Property<T>::get_value | ( |  | ) | `[inline]`

template <class T>
Glib::Property<T>::operator PropertyType | ( |  | ) | `[inline]`

template <class T>
Property<T>& Glib::Property<T>::operator= | ( | const PropertyType& | data | ) | `[inline]`

template <class T>
void Glib::Property<T>::set_value | ( | const PropertyType& | data | ) | `[inline]`

The documentation for this class was generated from the following file:

- property.h